package com.agri.generator.service;

import java.util.List;
import com.agri.generator.domain.SysApiInfo;

/**
 * 接口基础信息Service接口
 * 
 * @author agri
 * @date 2025-12-30
 */
public interface ISysApiInfoService 
{
    /**
     * 查询接口基础信息
     * 
     * @param id 接口基础信息主键
     * @return 接口基础信息
     */
    public SysApiInfo selectSysApiInfoById(Long id);

    /**
     * 查询接口基础信息列表
     * 
     * @param sysApiInfo 接口基础信息
     * @return 接口基础信息集合
     */
    public List<SysApiInfo> selectSysApiInfoList(SysApiInfo sysApiInfo);

    /**
     * 新增接口基础信息
     * 
     * @param sysApiInfo 接口基础信息
     * @return 结果
     */
    public int insertSysApiInfo(SysApiInfo sysApiInfo);

    /**
     * 修改接口基础信息
     * 
     * @param sysApiInfo 接口基础信息
     * @return 结果
     */
    public int updateSysApiInfo(SysApiInfo sysApiInfo);

    /**
     * 批量删除接口基础信息
     * 
     * @param ids 需要删除的接口基础信息主键集合
     * @return 结果
     */
    public int deleteSysApiInfoByIds(Long[] ids);

    /**
     * 删除接口基础信息信息
     * 
     * @param id 接口基础信息主键
     * @return 结果
     */
    public int deleteSysApiInfoById(Long id);
}
